/* 
   Copyright (C) 2007 Robin Gareus <robin@gareus.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 
   as published by the Free Software Foundation;

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "trackinfo.h"

void update_gui (void);
void setup_treeview (void);
void update_hsc (double val);
void status_printf (const char *format, ...);
void del_sel_foreach(GtkTreeModel *tm, GtkTreePath *tp, GtkTreeIter *iter, gpointer data);
guint position_in_tree(GtkTreeModel *model, GtkTreePath *path );
void gx_plrm(guint pos);
gchar *get_valid_utf8_str_alloc(const gchar *str_to_validate) ;
void pls_scoll_to(guint pos);
void pls_mconnect(gboolean on);
void ls_update(GtkTreeIter *iter, trackinfo *ti);
void update_info (trackinfo *track);
void update_infotime (guint tm, guint len);
void update_volume(guint ch, char* cname, guint value);
void update_volgui(guint ch);
void update_coverart(char *mime, char *blob, size_t len);
void wipe_coverart(void);
void update_status (guint status, gint no_stream);
void expose_playlist(void);
void setup_colmenu (GtkWidget *treeview, GdkEventButton *event, gpointer userdata);
